Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Nguyen Hoanh

Viết Lisp theo yêu cầu

Các bài được khuyến nghị

bach1212    2
Bạn có thể post yêu cầu về autolisp ở topic này.

Bác ơi! trên diễn đàn đã có lisp nào: tính diện tích nhiều vùng chỉ bằng việc pick vào từng vùng được chọn, cộng diện tích lại, rồi xuất ra kết quả bằng 2lựa chọn: là thay vào 1text có sẵn, 2là chọn điểm để ghi diện tích tổng đó ra? em tìm mãi trên diễn đàn mà ko thấy có. hjjj. nếu chưa có bác pro viết cho e 1 cái được hôk ah? thanks kiu bác nhìu. cái này em dùng rất nhìu mà toàn làm thủ công, mệt quá!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
lutung    0

Nhờ bạn tìm cho mình bộ LISP về ẩn hiện layer..mình đã tìm nhiều nhưng chưa theo ý mình. Ý mình khi dùng LISP đó, chọn 1đường line thuộc 1 layer thì các đường line đó sẽ cùng hiện lên còn các đường line khác sẽ bị ẩn. bạn tìm giúp mình nhé

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Bác ơi! trên diễn đàn đã có lisp nào: tính diện tích nhiều vùng chỉ bằng việc pick vào từng vùng được chọn, cộng diện tích lại, rồi xuất ra kết quả bằng 2lựa chọn: là thay vào 1text có sẵn, 2là chọn điểm để ghi diện tích tổng đó ra? em tìm mãi trên diễn đàn mà ko thấy có. hjjj. nếu chưa có bác pro viết cho e 1 cái được hôk ah? thanks kiu bác nhìu. cái này em dùng rất nhìu mà toàn làm thủ công, mệt quá!

Bạn sử dụng đoạn code này xem sao :

(defun c:gdt(/ oldim p1 frome cur toe ss ss2 tt S ans po cao te ente)
(setq oldim (getvar "DimZin"))
(setvar "DimZin" 0)
(setvar "cmdecho" 0)
(setq p1 (getpoint "\n Pick diem vao mien de lay dien tich : ") S 0 ss2 (ssadd))
(While p1
(setq frome (entlast));; 

(command ".boundary" p1 "");; boundary
(setq toe (entlast));; 

(setq cur frome; khoi tao
ss (ssadd)
)
(while (not (eq cur toe));; 
(setq
cur (entnext cur)
ss (ssadd cur ss)
)

(command "area" "S" "O" ss "" "")
(setq tt (getvar "area"))
(setq S (+ S tt))
)
(command "area" "A" "O" "L" "" "")
(setq tt (getvar "area"))
(setq S (+ S (* tt 2))) 
;(Command "erase" ss "")
(ch2 ss ss2)
;(sssetfirst ss2 ss2)
(setq p1 (getpoint "\n Pick diem vao mien de lay dien tich : "))

)
(initget "T C")
(setq ans (getkword "\n Chon Text  de thay gia tri dien tich / chon diem chen  de ghi dien tich  :"))
(if (or (= ans "c") (= ans "C"))
(progn
(setq po (getpoint "\n Chon diem chen de ghi dien tich :"))
(setq cao (getdist "\n Nhap chieu cao chu : "))
(wtxt (rtos S 2 2) po 0 cao)
(command "erase" ss2 "")
)
)
(if (or (= ans "t") (= ans "T"))
(progn
(setq te (car(entsel "\n Chon Text de thay gia tri dien tich ")))
(setq ente (entget te))
(setq ente (subst(cons 1 (rtos S 2 2)) (assoc 1 ente) ente))
(entmod ente)
(command "erase" ss2 "")
)
)
(setvar "DimZin" oldim)
(Princ)
)
;
;
(defun ch2(ss1 ss2 / i n)
(setq i 0 n (sslength ss1))
(while ((setq ss2 (ssadd (ssname ss1 i) ss2))
(setq i (1+ i))
)
(sssetfirst ss2 ss2)
)
;
(defun wtxt (txt p ang h / sty)
(setq sty (getvar "textstyle"))
(entmake (list (cons 0 "TEXT") (cons 7 sty) (cons 1 txt) (cons 10 p) (cons 11 p) 
(cons 72 2) (cons 73 2) (cons 50 ang) (cons 40 h) (cons 41 0.8))
)
)

Lisp tính được cả trong trường hợp n hình khoét lỗ và không khoét lỗ

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
xuantran15    112
Nhờ bạn tìm cho mình bộ LISP về ẩn hiện layer..mình đã tìm nhiều nhưng chưa theo ý mình. Ý mình khi dùng LISP đó, chọn 1đường line thuộc 1 layer thì các đường line đó sẽ cùng hiện lên còn các đường line khác sẽ bị ẩn. bạn tìm giúp mình nhé

Bạn có thể dùng lệnh layiso trong bộ express của acad.

Lưu ý: Cùng một nội dung bạn không nên post lung tung nhiều nơi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Bạn có thể dùng lệnh layiso trong bộ express của acad.

Lưu ý: Cùng một nội dung bạn không nên post lung tung nhiều nơi.

Layiso trong bộ express của acad hiện layer được chọn trên toàn bản vẽ

chứ không thể hiện layer được chọn trên 1 vùng do user chọn :Tue_NV nghĩ ý của bạn ấy chính là ý này

 

Tue_NV đã kết hợp với Lisp ẩn đối tượng của bác Bemove mà viết thành Lisp ẩn Layer trên 1 vùng 1 vùng do user chọn

Nó đây : http://www.cadviet.com/forum/index.php?showtopic=11889

Nhưng Tue_NV chưa viết Lisp hiện Layer trên 1 vùng do user chọn vì chưa có thời gian.

Lúc rỗi rãi thời gian mới ngồi viết Lisp được

 

Nếu các bạn đồng ý thì cho vài cái tick thanks ủng hộ :s_dead:

  • Vote tăng 4

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
leducthovn    1

Nhờ các bác sáng tác hộ tôi lisp xuất các text có sẵn trong file .txt lên bản vẽ theo đúng các toạ độ kèm theo trong file text

Nội dung file text sẽ là

X Y text

hoặc

Y X text

đang cần cực gấp,nhờ các bác lưu ý giùm cho

Leducthovn@yahoo.com

Xin chân thành cảm ơn!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Nhờ các bác sáng tác hộ tôi lisp xuất các text có sẵn trong file .txt lên bản vẽ theo đúng các toạ độ kèm theo trong file text

Nội dung file text sẽ là

X Y text

hoặc

Y X text

đang cần cực gấp,nhờ các bác lưu ý giùm cho

Leducthovn@yahoo.com

Xin chân thành cảm ơn!!!

Bạn chép nội dung trong file .txt này -> Ctrol+C

-> Mở Excel -> Chọn ô A1 -> Nhân Ctrol+V

-> Bôi đen dữ liệu của bạn (từ ô A1 -> ô A...)

-> Vào Menu Data -> Text to column -> Bạn thực hiện chia cột

Như vậy, bạn đã chia dữ liệu của bạn thành 3 cột trong Excel (Cột A : là toạ độ X; Cột B : là toạ độ Y; Cột C : chính là Text)

 

-> Bạn theo dõi bài viết này sẽ xuất được các text có sẵn lên bản vẽ theo đúng các toạ độ của nó

Bai viet so 4 den bai viet so 12

 

Hy vọng bạn làm được :s_dead:

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
leducthovn    1
Bạn chép nội dung trong file .txt này -> Ctrol+C

-> Mở Excel -> Chọn ô A1 -> Nhân Ctrol+V

-> Bôi đen dữ liệu của bạn (từ ô A1 -> ô A...)

-> Vào Menu Data -> Text to column -> Bạn thực hiện chia cột

Như vậy, bạn đã chia dữ liệu của bạn thành 3 cột trong Excel (Cột A : là toạ độ X; Cột B : là toạ độ Y; Cột C : chính là Text)

 

-> Bạn theo dõi bài viết này sẽ xuất được các text có sẵn lên bản vẽ theo đúng các toạ độ của nó

Bai viet so 4 den bai viet so 12

 

Hy vọng bạn làm được :s_dead:

đây là file text mà,lại chuyển sang excel à,có phương pháp nào gọn hơn ko bác

http://www.cadviet.com/upfiles/123.txt

tôi muốn đưa các cao độ trong file text lên cad theo các toạ độ tương ứng

(số thứ tự X Y Z)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bach1212    2

?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bach1212    2
Bạn sử dụng đoạn code này xem sao :

(defun c:gdt(/ oldim p1 frome cur toe ss ss2 tt S ans po cao te ente)
(setq oldim (getvar "DimZin"))
(setvar "DimZin" 0)
(setvar "cmdecho" 0)
(setq p1 (getpoint "\n Pick diem vao mien de lay dien tich : ") S 0 ss2 (ssadd))
(While p1
(setq frome (entlast));; 

(command ".boundary" p1 "");; boundary
(setq toe (entlast));; 

(setq cur frome; khoi tao
ss (ssadd)
)
(while (not (eq cur toe));; 
(setq
cur (entnext cur)
ss (ssadd cur ss)
)

(command "area" "S" "O" ss "" "")
(setq tt (getvar "area"))
(setq S (+ S tt))
)
(command "area" "A" "O" "L" "" "")
(setq tt (getvar "area"))
(setq S (+ S (* tt 2))) 
;(Command "erase" ss "")
(ch2 ss ss2)
;(sssetfirst ss2 ss2)
(setq p1 (getpoint "\n Pick diem vao mien de lay dien tich : "))

)
(initget "T C")
(setq ans (getkword "\n Chon Text  de thay gia tri dien tich / chon diem chen  de ghi dien tich  :"))
(if (or (= ans "c") (= ans "C"))
(progn
(setq po (getpoint "\n Chon diem chen de ghi dien tich :"))
(setq cao (getdist "\n Nhap chieu cao chu : "))
(wtxt (rtos S 2 2) po 0 cao)
(command "erase" ss2 "")
)
)
(if (or (= ans "t") (= ans "T"))
(progn
(setq te (car(entsel "\n Chon Text de thay gia tri dien tich ")))
(setq ente (entget te))
(setq ente (subst(cons 1 (rtos S 2 2)) (assoc 1 ente) ente))
(entmod ente)
(command "erase" ss2 "")
)
)
(setvar "DimZin" oldim)
(Princ)
)
;
;
(defun ch2(ss1 ss2 / i n)
(setq i 0 n (sslength ss1))
(while (< i n)
(setq ss2 (ssadd (ssname ss1 i) ss2))
(setq i (1+ i))
)
(sssetfirst ss2 ss2)
)
;
(defun wtxt (txt p ang h / sty)
(setq sty (getvar "textstyle"))
(entmake (list (cons 0 "TEXT") (cons 7 sty) (cons 1 txt) (cons 10 p) (cons 11 p) 
(cons 72 2) (cons 73 2) (cons 50 ang) (cons 40 h) (cons 41 0.8))
)
)

Lisp tính được cả trong trường hợp n hình khoét lỗ và không khoét lỗ

Bác ơi, em.....hix, lisp này bác đã dùng đc chưa ah? Em pick vào vùng đầu tiên thì báo lỗi thế này: ; "error: bad argument type: lselsetp nil". Bác xem lại rùi sửa júp em đc hôk ah? Cám ơn bác.Bác jữ sk để viết nhìu nhìu lisp hay cho bọn em na! hjj

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
đây là file text mà,lại chuyển sang excel à,có phương pháp nào gọn hơn ko bác

http://www.cadviet.com/upfiles/123.txt

tôi muốn đưa các cao độ trong file text lên cad theo các toạ độ tương ứng

(số thứ tự X Y Z)

Chưa hiểu ý.

cao độ X; Y; Z là cột nào? text là cột nào trong file bạn đã post?? Bạn nói rõ nhé

 

@bach1212 : Tue_NV viết Lisp cho bạn đã test kỹ rồi. Bạn chạy lại thử nhé.

Hoặc nếu chưa được bạn upload file của bạn lên đây để Tue_NV xem sao

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
leducthovn    1

đây là file text mà,lại chuyển sang excel à,có phương pháp nào gọn hơn ko bác

http://www.cadviet.com/upfiles/123.txt

tôi muốn đưa các cao độ trong file text lên cad theo các toạ độ tương ứng

(số thứ tự X Y Z)

 

Chưa hiểu ý.

cao độ X; Y; Z là cột nào? text là cột nào trong file bạn đã post?? Bạn nói rõ nhé

 

@bach1212 : Tue_NV viết Lisp cho bạn đã test kỹ rồi. Bạn chạy lại thử nhé.

Hoặc nếu chưa được bạn upload file của bạn lên đây để Tue_NV xem sao

 

Bác ui,file text đó có 4 cột (Số thứ tự X Y Z)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Nhờ các bác sáng tác hộ tôi lisp xuất các text có sẵn trong file .txt lên bản vẽ theo đúng các toạ độ kèm theo trong file text

Nội dung file text sẽ là

X Y text

hoặc

Y X text

đang cần cực gấp,nhờ các bác lưu ý giùm cho

Leducthovn@yahoo.com

Xin chân thành cảm ơn!!!

 

Bác ui,file text đó có 4 cột (Số thứ tự X Y Z)

2 dòng màu đỏ mà bạn nói thật sự không rõ ràng và người đọc thật sự không hiểu

 

Câu đầu thì bạn nói xuất các text có sẵn trong file .txt lên bản vẽ theo đúng các toạ độ kèm theo trong file text

 

Câu sau thì bạn nói rằng file text đó có 4 cột (Số thứ tự X Y Z)

 

Vậy cái Text mà bạn định xuất trong file .txt thì nó đâu trong 4 cột (Số thứ tự X Y Z)??

 

Xuất các text theo toạ độ : ừ thì toạ độ X; Y; Z trong file txt đã có. Vậy còn Text đâu?? Bạn muốn xuất cái gì? Xuất như thế nào???

Bạn không nên nghĩ rằng ai cũng nghĩ như bạn. Bạn diễn đạt sao cho người khác hiểu đúng ý của bạn thì mới giúp đúng ý bạn được

 

Chào bạn. Chúc vui vẻ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bach1212    2
Chưa hiểu ý.

cao độ X; Y; Z là cột nào? text là cột nào trong file bạn đã post?? Bạn nói rõ nhé

 

@bach1212 : Tue_NV viết Lisp cho bạn đã test kỹ rồi. Bạn chạy lại thử nhé.

Hoặc nếu chưa được bạn upload file của bạn lên đây để Tue_NV xem sao

em đã thử rất nhìu lần nhưng vẫn ko được. lại làm fiền bác roài. em up lên ko đc, bác xem file em gửi ở đây na!

http://www.megaupload.com/?d=892ZZK99 cám ơn bác! :s_dead:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
leducthovn    1
2 dòng màu đỏ mà bạn nói thật sự không rõ ràng và người đọc thật sự không hiểu

 

Câu đầu thì bạn nói xuất các text có sẵn trong file .txt lên bản vẽ theo đúng các toạ độ kèm theo trong file text

 

Câu sau thì bạn nói rằng file text đó có 4 cột (Số thứ tự X Y Z)

 

Vậy cái Text mà bạn định xuất trong file .txt thì nó đâu trong 4 cột (Số thứ tự X Y Z)??

 

Xuất các text theo toạ độ : ừ thì toạ độ X; Y; Z trong file txt đã có. Vậy còn Text đâu?? Bạn muốn xuất cái gì? Xuất như thế nào???

Bạn không nên nghĩ rằng ai cũng nghĩ như bạn. Bạn diễn đạt sao cho người khác hiểu đúng ý của bạn thì mới giúp đúng ý bạn được

 

Chào bạn. Chúc vui vẻ

hi hi,sorry bác.Tôi muốn đưa các cao độ z lên bản vẽ theo các toạ độ có trong file .txt

Các cao độ này được điền lên bản vẽ bằng các text.

Ví dụ trong file .txt có ghi 20 1234 5678 99

có nghĩa là số thứ tự là 20

Toạ độ X là 1234

Toạ độ Y là 5678

Cao độ Z là 99

thì trên bản vẽ sẽ điền text là 99 tương ứng với toạ độ X,Y như trên.

Cám ơn bác nhìu nhá

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bach1212    2

bác pro sửa lisp này júp em đc hôk ah? lisp điền cốt tự động.

http://www.megaupload.com/?d=8XS5WYQF

Lisp này đã đánh cốt rất tốt rùi, nhưng chỉ bắt đầu với cốt 00. nếu muốn bắt đầu với cốt là 12.3 chẳng hạn, em lại phải vào trong list sửa giá trị 0.000. rất mất công! em mong bác sửa lisp này để khi dùng lệnh " cot00" sẽ xuất hiện dòng nhắc là: nhập cao độ ban đầu, sau đó mới đến dòng nhắc: pick vào điểm cốt ban đầu. rùi tới lệnh " dc" , chỉ cần pick vào các điểm tiếp theo, giá trị cao độ sẽ đc cộng từ cao độ ban đầu với chênh cao giữa điểm đó với điểm làm cốt! thanks hiu nhìu nhìu! :s_dead: ah còn nữa chữ " SL " sau khi ghi kết quả ra ko biết là có ý nghĩa j? bác bỏ nó đi được ko ah!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
hi hi,sorry bác.Tôi muốn đưa các cao độ z lên bản vẽ theo các toạ độ có trong file .txt

Các cao độ này được điền lên bản vẽ bằng các text.

Ví dụ trong file .txt có ghi 20 1234 5678 99

có nghĩa là số thứ tự là 20

Toạ độ X là 1234

Toạ độ Y là 5678

Cao độ Z là 99

thì trên bản vẽ sẽ điền text là 99 tương ứng với toạ độ X,Y như trên.

Cám ơn bác nhìu nhá

Đây là file .dwg đã xuất cao độ z lên bản vẽ theo các toạ độ có trong file .txt

 

http://www.cadviet.com/upfiles/Drawing4.dwg

 

Bạn xem có đúng ý bạn không nhé?

 

Còn đây là file .xls -> chuyển từ file .txt qua

http://www.cadviet.com/upfiles/Book4.xls

 

Hy vọng đúng ý của bạn

 

@bach1212 : Tue_NV kiểm tra lại không có lỗi. Mình sử dụng CAD2004 để Test. Bạn sử dụng CAD2007 để test phải không?

Mình cũng không hiểu tại sao lại có sự khác biệt này nữa. Có 1 lần Tue_NV viết Lisp ra dùng CAD2004 để test thì OK còn bạn xuantran test trên CAD2007 thì lỗi. Không biết tại sao nữa? Có ai biết nguyên nhân này không?

bach1212 dùng CAD2004 để kiẻm tra thử, lạ thật

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
leducthovn    1
Đây là file .dwg đã xuất cao độ z lên bản vẽ theo các toạ độ có trong file .txt

 

http://www.cadviet.com/upfiles/Drawing4.dwg

 

Bạn xem có đúng ý bạn không nhé?

 

Còn đây là file .xls -> chuyển từ file .txt qua

http://www.cadviet.com/upfiles/Book4.xls

 

Hy vọng đúng ý của bạn

 

@bach1212 : Tue_NV kiểm tra lại không có lỗi. Mình sử dụng CAD2004 để Test. Bạn sử dụng CAD2007 để test phải không?

Mình cũng không hiểu tại sao lại có sự khác biệt này nữa. Có 1 lần Tue_NV viết Lisp ra dùng CAD2004 để test thì OK còn bạn xuantran test trên CAD2007 thì lỗi. Không biết tại sao nữa? Có ai biết nguyên nhân này không?

bach1212 dùng CAD2004 để kiẻm tra thử, lạ thật

chuẩn rồi bạn à.Cảm ơn bạn rất rất nhiều!!!!!!!!!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
HoangSon614    66
em đã thử rất nhìu lần nhưng vẫn ko được. lại làm fiền bác roài. em up lên ko đc, bác xem file em gửi ở đây na!

http://www.megaupload.com/?d=892ZZK99 cám ơn bác! :bigsmile:

Mình vẫn đang dùng, bình thường bạn ạ (mình cũng test trên hình của bạn vẫn được mà, cad 2007)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Mình đưa lên 3 vấn đề nhờ Tuê_NV sữa giúp, bạn sữa được hai cái còn cái đầu tiên sao mình thấy vẫn chưa được "Đường offet bên dưới đường tự nhiên vẫn là layer tự nhiên, lẽ ra nó và đường mái dốc phải nối với nhau để trở thành đường vét hoàn chỉnh"

Đề lisp này hoàn thiện hơn Tuê_NV có thể thêm cái text 1:1 (hoặc 1:2) vào dưới đường mái dốc được không? Còn nếu mất nhiều thời gian quá thì thôi cũng được.

Có lẽ mình đã yêu cầu hơi nhiều rồi, con người lòng tham vô đáy mà, Tue_NV thông cảm nghe! Khi nào Tuê_NV rãnh sửa giúp mình lần nữa nhé. Cảm ơn Tuệ_NV nhiều!

Tuê_NV xem file cad nè: http://www.cadviet.com/upfiles/MCN_5.dwg

Tue_NV sửa lại giúp mình với! Thank!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
"Đường offet bên dưới đường tự nhiên vẫn là layer tự nhiên, lẽ ra nó và đường mái dốc phải nối với nhau để trở thành đường vét hoàn chỉnh"

Đề lisp này hoàn thiện hơn Tuê_NV có thể thêm cái text 1:1 (hoặc 1:2) vào dưới đường mái dốc được không? Còn nếu mất nhiều thời gian quá thì thôi cũng được.

Có lẽ mình đã yêu cầu hơi nhiều rồi, con người lòng tham vô đáy mà, Tue_NV thông cảm nghe! Khi nào Tuê_NV rãnh sửa giúp mình lần nữa nhé. Cảm ơn Tuệ_NV nhiều!

Công hoan chạy thử file Lisp này xem :

http://www.cadviet.com/upfiles/VBUN6.vlx

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bach1212    2
Mình vẫn đang dùng, bình thường bạn ạ (mình cũng test trên hình của bạn vẫn được mà, cad 2007)

oạch! thế thì cad2007 em bị lỗi rồi bác nhỉ! chứ e dùng nhìu nhìu lần lắm rùi mà có đc đâu ah! huu. :s_dead:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bach1212    2
Đây là file .dwg đã xuất cao độ z lên bản vẽ theo các toạ độ có trong file .txt

 

http://www.cadviet.com/upfiles/Drawing4.dwg

 

Bạn xem có đúng ý bạn không nhé?

 

Còn đây là file .xls -> chuyển từ file .txt qua

http://www.cadviet.com/upfiles/Book4.xls

 

Hy vọng đúng ý của bạn

 

@bach1212 : Tue_NV kiểm tra lại không có lỗi. Mình sử dụng CAD2004 để Test. Bạn sử dụng CAD2007 để test phải không?

Mình cũng không hiểu tại sao lại có sự khác biệt này nữa. Có 1 lần Tue_NV viết Lisp ra dùng CAD2004 để test thì OK còn bạn xuantran test trên CAD2007 thì lỗi. Không biết tại sao nữa? Có ai biết nguyên nhân này không?

bach1212 dùng CAD2004 để kiẻm tra thử, lạ thật

vâng! em dùng cad2007. bạn hoangson614 nói là dùng vẫn bình thường nhưng em thì...làm chán tay mỏi mắt vẫn báo lỗi như thế. pó toàn thân! hjj. bác pro cũng ko bít tại sao thì em... hix đành phải dùng lisp khác tính tổng dtích xong có kết quả trên command rùi ed lại text thui! hic, lâu lém bác ơi! huu :s_dead:

em ko dùng cad2004 nhưng test trên cad2005 cũng ko đc lun bác ah!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
lon ton    1
Chào bạn Phiphi, xuantran, truongthanh

 

Lisp sau Tue_NV đã cải tiến theo ý của bạn Xuantran, truongthanh

Khi chạy Lisp hỏi

1. Chọn các text để chuyển các Text thành Attribute

2. Chon cac doi tuong khac de tao thanh BLOCK ATTRIBUTE

 

Nếu ở bước 2 nếu bạn không chọn đối tượng thì chỉ có các Text chuyển thành Attribute

Nếu ở bước 2 nếu bạn chọn đối tượng thì các Text và các đối tượng được chọn ở bước 2 chuyển thành Attribute

 

bác Tuệ ơi, nhờ bác phát triển lên thêm giúp em 1 ý được không?

em muốn các text được chọn trở thành các Att riêng rẽ

vì em phải làm việc với >1000 text = excellink, nếu để >1000 text này

vào chung 1Att thì khi xuất sang excel sẽ không đủ số colum (trong excel chỉ có 256 colum)

còn nếu >1000 text này trở thành >1000 Att riêng rẽ thì số row trong excel sẽ đủ đáp ứng

mong bác để ý giúp em

cảm ơn bác nhiều!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Khách
Chủ đề này bây giờ đã bị đóng lại để trả lời thêm.

×